Package com.beust.jcommander.converters

# Class BaseConverter<T>

java.lang.Object
com.beust.jcommander.converters.BaseConverter<T>

All Implemented Interfaces:
  `IStringConverter<T>`

Direct Known Subclasses:
  `BigDecimalConverter`, `BooleanConverter`, `DoubleConverter`, `FloatConverter`, `IntegerConverter`, `ISO8601DateConverter`, `LongConverter`, `URIConverter`, `URLConverter`

public abstract class BaseConverter<T> extends Object implements IStringConverter<T>
Base class for converters that stores the name of the option.

## Constructor Summary

Constructors
Constructor
Description
`BaseConverter(String optionName)`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getErrorString(String value, String to)`
`String`
`getOptionName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.beust.jcommander.IStringConverter

`convert`

## Constructor Details

### BaseConverter

public BaseConverter(String optionName)

## Method Details

### getOptionName

public String getOptionName()

### getErrorString

protected String getErrorString(String value, String to)